<?
/*
1.Убить трупожора 2 колличество убийств
2.Поучаствовать в хаотическом бою 5 раз
3.Спустится в катакомбы ( сюда же можно кажись сделать так чтобы не каты были а рандомно санд,сан,эм и т.д. )
4.набрать 100 тысяч опыта
5.открыть 1 сундук
6.посетить излом хаоса 1 раза
7.расплавить 10 вещей в храме знаний
8.поучаствовать в башне смерти 1/3/5 раз
$txt .= '<br><b><font color=red>Вы уже получили </b></font>';

*/

$test = mysql_fetch_array(mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest" LIMIT 1'));
if (!isset($test['id']))
{
	$txt .= '<br><b><font color=red>У тебя нет задания милок, не юли! Хоть бабушка плохо видит но бабушка хорошо помнит.</b></font>';
}
else
{
$zadID=$test['vals'];

if ($zadID==1)
{
	//$end_trup
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "end_trup" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>1){
	$txt .= '<br><b><font color=black>Порадовал бабушку! Убил ипостата! Может на печи полежим? - Нет, ну держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<br><b><font color=black>Говорят в Capital City завелись всякие Трупожоры. Пойди да убей их пару раз, порадуй бабушку</b></font>';
	}
	
}elseif($zadID==2)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "end_xaot" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}

	if ($i>9){
	$txt .= '<br><b><font color=black>Порадовал бабушку! Поучаствовал в боях! А точно покушать не хочешь? - Нет, ну держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<br><b><font color=black>Покажи на что способен! Поучаствуй в 10 хаотических боях!</b></font>';
	}
	// $end_xaot;
}elseif($zadID==3)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "psh0" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>1){
	$txt .= '<br><b><font color=black>Порадовал бабушку! Хороший запах! А точно покушать не хочешь? - Нет, ну держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<br><b><font color=black>Необходимо исследовать для бабушки два подземелия, ей очень интересно что там внутри!</b></font>';
	}

}elseif($zadID==4)
{
	
	if (($u->info['exp']-$test['val'])>100000){
	$txt .= '<br><b><font color=black>Порадовал бабушку! Подрос,Подрос! держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
		$txt .= '<br><b><font color=black>Сразись во многих боях и получи 100000 опыта!</b></font>';
	}

}elseif($zadID==5)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "trup_sun" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>0){
	$txt .= '<br><b><font color=black>Порадовал бабушку! Сундучек удачу принес? Нет? Ну держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<br><b><font color=black>Открой сундук Трупожора, порадуй бабушку!</b></font>';
	}
	
}elseif($zadID==6)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "izlom" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>0){
	$txt .= '<br><b><font color=black>Порадовал бабушку! Так пахнет гарью и смертью Ммммм ... За это тебе жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<br><b><font color=black>Посети излом хаоса и принеси его запах бабушке!</b></font>';
	}
	
}elseif($zadID==7)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vals`= "win" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>2){
	$txt .= '<br><b><font color=black>Порадовал бабушку! Стало в мире светлее, но бабка как была слепая так и осталась... <br> Чуть не забыла жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<br><b><font color=black>Выполни 3 задания в подземелиях!Бабушка будет очень довольна!</b></font>';
	}
	
}elseif($zadID==8)
{
	$txt .= '<br><b><font color=black>Сходи ка милок в Башню Смерти! Да попробуй как там свои силенки.</b></font>';
}
else
{
	$txt .= '<br><b><font color=red>Эх шустрый малец, получал задание уже сегодня! Завтра приходи накормлю чем нибудь вкусным ну и задание дам!</b></font>';
}


	
}

?>